.. AUTO-GENERATED FILE. DO NOT EDIT. store-auth-login-attempts-get-many ================================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25333167796`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``get`` - Lambda: ``jef-store-get-6`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/store-auth-login-attempts-get-many`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-login-attempts-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-6`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-get-6 API Name: jef-store Action: get Method: GET Resource Path: /store-auth-login-attempts-get-many Table: - table: jef-store-auth-login-attempts - operation: get-many Payload Schema: - gsi_1_pk: entity_number Payload Example: - gsi_1_pk: 1001 Response Schema: - exists: boolean - message: string - items: [{"login_attempt_id":"string","entity_number":"string","employee_number":"string","login_type":"string","attempt_status":"string","message":"string","device_id":"string","session_id":"string","is_successful":"boolean","submitted_at":"string","verified_at":"string","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "entity_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"login_attempt_id\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"login_type\":\"string\",\"attempt_status\":\"string\",\"message\":\"string\",\"device_id\":\"string\",\"session_id\":\"string\",\"is_successful\":\"boolean\",\"submitted_at\":\"string\",\"verified_at\":\"string\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]" } CMD curl -------- .. code-block:: text curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-login-attempts-get-many?gsi_1_pk=1001" PowerShell curl --------------- .. code-block:: text curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-login-attempts-get-many?gsi_1_pk=1001"